Bug 483236 - provided parted does not support ext3 resizing
provided parted does not support ext3 resizing
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: parted (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Joel Andres Granados
Release Test Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 07:50 EST by Karel Volný
Modified: 2009-06-12 08:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 08:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2009-01-30 07:50:23 EST
Description of problem:
During RHEL installation (or any later), there may be a need to resize existing partitions. The provided tool is parted, but it does not support ext3 filesystems. This is very unfortunate, as ext3 is the default filesystem choice.

Version-Release number of selected component (if applicable):
parted-1.8.1-23.el5

How reproducible:
always

Steps to Reproduce:
1. run parted on a system with some (unmounted) ext3 partition
2. (parted) resize NUMBER START END
(replace NUMBER START END with values according to your test system)
  
Actual results:
Error: File system has an incompatible feature enabled.

Expected results:
- no error reported, partition resized (if possible, depending on its content and the diskspace etc.)

Additional info:
The error message "File system has an incompatible feature enabled." is quite confusing, as it may suggest that the filesystem type itself is okay, just some option passed to mkfs.ext3 -O ... blocks the resize (see the manpage, it uses the word "feature" for that).
Comment 1 Joel Andres Granados 2009-01-30 09:13:03 EST
AFAIK you can resize the filesystem(with filesyste app) first and then the partition (with parted).

Parted upstream is moving away from filesystem handling and will probably only have file system discovery.  The main argument for this is that code is being duplicated and does not work properly with most of the fs that are supported.  And its better to leave the file system handling to apps like e2fsprogs, resizefs...
Comment 2 Karel Volný 2009-02-02 11:08:53 EST
(In reply to comment #1)
> AFAIK you can resize the filesystem(with filesyste app) first and then the
> partition (with parted).

unfortunately, this is not true

if I try to resize the filesystem using resize2fs (I do not see any other tool available during installation), parted still refuses to resize the underlying partition

> Parted upstream is moving away from filesystem handling and will probably
> only have file system discovery.  The main argument for this is that code is
> being duplicated and does not work properly with most of the fs that are
> supported. 
> And its better to leave the file system handling to apps like e2fsprogs,
> resizefs...

while all this sounds reasonable, the point that ext3 partition cannot be resized (during installation) holds true (unless I have overlooked something)

feel free to change the description and reassign to more appropriate component if parted does not fit the task, but as long as we are losing functionality, there *is* a bug and all we can do about it is to put it into DEFERRED state if it is going to be dealt with later (after transition from file system handling to simple discovery is done in parted and appropriate external tool is supplied) or mark it as WONTFIX if we are not going to deal with it at all

note also that whatever happens to this bug, there is also the issue of wrong error message, which should be fixed, if not via preventing it to be printed by adding ext3 resize capability then via separate bugfix process
Comment 3 Joel Andres Granados 2009-06-12 08:24:45 EDT
Resizing was incorporated into the anaconda storage rewrite feature.  Does it not work for you?  For after installations you may use gparted.
Comment 4 Joel Andres Granados 2009-06-12 08:31:10 EDT
But the storage rewrite does not apply to rhel5 :(.  This, however _is_ being addressed in parted and anaconda rawhide so I'm going to close this one nextrelease.  Note that this bug refers to resizing in anaconda, which should work in gui for rawhide.  The parted issue is still pending and is on my TODO list and is tracked in upstreams bug tracking tool http://parted.alioth.debian.org/cgi-bin/trac.cgi/ticket/187

Note You need to log in before you can comment on or make changes to this bug.